"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addListener = addListener;
exports.default = void 0;
exports.removeListener = removeListener;

var _reactNative = require("react-native");

const {
  WebRTCModule
} = _reactNative.NativeModules;
const EventEmitter = new _reactNative.NativeEventEmitter(WebRTCModule);
var _default = EventEmitter;
exports.default = _default;

const _subscriptions = new Map();

function addListener(listener, eventName, eventHandler) {
  var _subscriptions$get;

  if (!_subscriptions.has(listener)) {
    _subscriptions.set(listener, []);
  }

  (_subscriptions$get = _subscriptions.get(listener)) === null || _subscriptions$get === void 0 ? void 0 : _subscriptions$get.push(EventEmitter.addListener(eventName, eventHandler));
}

function removeListener(listener) {
  var _subscriptions$get2;

  (_subscriptions$get2 = _subscriptions.get(listener)) === null || _subscriptions$get2 === void 0 ? void 0 : _subscriptions$get2.forEach(sub => {
    sub.remove();
  });

  _subscriptions.delete(listener);
}
//# sourceMappingURL=EventEmitter.js.map