"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "MediaStream", {
  enumerable: true,
  get: function () {
    return _MediaStream.default;
  }
});
Object.defineProperty(exports, "MediaStreamTrack", {
  enumerable: true,
  get: function () {
    return _MediaStreamTrack.default;
  }
});
Object.defineProperty(exports, "RTCErrorEvent", {
  enumerable: true,
  get: function () {
    return _RTCErrorEvent.default;
  }
});
Object.defineProperty(exports, "RTCIceCandidate", {
  enumerable: true,
  get: function () {
    return _RTCIceCandidate.default;
  }
});
Object.defineProperty(exports, "RTCPeerConnection", {
  enumerable: true,
  get: function () {
    return _RTCPeerConnection.default;
  }
});
Object.defineProperty(exports, "RTCRtcpParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtcpParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpCapabilities", {
  enumerable: true,
  get: function () {
    return _RTCRtpCapabilities.default;
  }
});
Object.defineProperty(exports, "RTCRtpCodecCapability", {
  enumerable: true,
  get: function () {
    return _RTCRtpCodecCapability.default;
  }
});
Object.defineProperty(exports, "RTCRtpCodecParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtpCodecParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpEncodingParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtpEncodingParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpHeaderExtension", {
  enumerable: true,
  get: function () {
    return _RTCRtpHeaderExtension.default;
  }
});
Object.defineProperty(exports, "RTCRtpParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtpParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpReceiveParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtpReceiveParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpReceiver", {
  enumerable: true,
  get: function () {
    return _RTCRtpReceiver.default;
  }
});
Object.defineProperty(exports, "RTCRtpSendParameters", {
  enumerable: true,
  get: function () {
    return _RTCRtpSendParameters.default;
  }
});
Object.defineProperty(exports, "RTCRtpSender", {
  enumerable: true,
  get: function () {
    return _RTCRtpSender.default;
  }
});
Object.defineProperty(exports, "RTCRtpTransceiver", {
  enumerable: true,
  get: function () {
    return _RTCRtpTransceiver.default;
  }
});
Object.defineProperty(exports, "RTCSessionDescription", {
  enumerable: true,
  get: function () {
    return _RTCSessionDescription.default;
  }
});
Object.defineProperty(exports, "RTCView", {
  enumerable: true,
  get: function () {
    return _RTCView.default;
  }
});
Object.defineProperty(exports, "ScreenCapturePickerView", {
  enumerable: true,
  get: function () {
    return _ScreenCapturePickerView.default;
  }
});
Object.defineProperty(exports, "mediaDevices", {
  enumerable: true,
  get: function () {
    return _MediaDevices.default;
  }
});
Object.defineProperty(exports, "permissions", {
  enumerable: true,
  get: function () {
    return _Permissions.default;
  }
});
exports.registerGlobals = registerGlobals;

var _Logger = _interopRequireDefault(require("./Logger"));

var _MediaDevices = _interopRequireDefault(require("./MediaDevices"));

var _MediaStream = _interopRequireDefault(require("./MediaStream"));

var _MediaStreamTrack = _interopRequireDefault(require("./MediaStreamTrack"));

var _Permissions = _interopRequireDefault(require("./Permissions"));

var _RTCErrorEvent = _interopRequireDefault(require("./RTCErrorEvent"));

var _RTCIceCandidate = _interopRequireDefault(require("./RTCIceCandidate"));

var _RTCPeerConnection = _interopRequireDefault(require("./RTCPeerConnection"));

var _RTCRtcpParameters = _interopRequireDefault(require("./RTCRtcpParameters"));

var _RTCRtpCapabilities = _interopRequireDefault(require("./RTCRtpCapabilities"));

var _RTCRtpCodecCapability = _interopRequireDefault(require("./RTCRtpCodecCapability"));

var _RTCRtpCodecParameters = _interopRequireDefault(require("./RTCRtpCodecParameters"));

var _RTCRtpEncodingParameters = _interopRequireDefault(require("./RTCRtpEncodingParameters"));

var _RTCRtpHeaderExtension = _interopRequireDefault(require("./RTCRtpHeaderExtension"));

var _RTCRtpParameters = _interopRequireDefault(require("./RTCRtpParameters"));

var _RTCRtpReceiveParameters = _interopRequireDefault(require("./RTCRtpReceiveParameters"));

var _RTCRtpReceiver = _interopRequireDefault(require("./RTCRtpReceiver"));

var _RTCRtpSendParameters = _interopRequireDefault(require("./RTCRtpSendParameters"));

var _RTCRtpSender = _interopRequireDefault(require("./RTCRtpSender"));

var _RTCRtpTransceiver = _interopRequireDefault(require("./RTCRtpTransceiver"));

var _RTCSessionDescription = _interopRequireDefault(require("./RTCSessionDescription"));

var _RTCView = _interopRequireDefault(require("./RTCView"));

var _ScreenCapturePickerView = _interopRequireDefault(require("./ScreenCapturePickerView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_Logger.default.enable('*'); // Logger.enable(`*,-${Logger.ROOT_PREFIX}:*:DEBUG`);


function registerGlobals() {
  // Should not happen. React Native has a global navigator object.
  if (typeof global.navigator !== 'object') {
    throw new Error('navigator is not an object');
  }

  if (!global.navigator.mediaDevices) {
    global.navigator.mediaDevices = {};
  }

  global.navigator.mediaDevices.getUserMedia = _MediaDevices.default.getUserMedia.bind(_MediaDevices.default);
  global.navigator.mediaDevices.getDisplayMedia = _MediaDevices.default.getDisplayMedia.bind(_MediaDevices.default);
  global.navigator.mediaDevices.enumerateDevices = _MediaDevices.default.enumerateDevices.bind(_MediaDevices.default);
  global.RTCIceCandidate = _RTCIceCandidate.default;
  global.RTCPeerConnection = _RTCPeerConnection.default;
  global.RTCRtpReceiver = _RTCRtpReceiver.default;
  global.RTCRtpSender = _RTCRtpReceiver.default;
  global.RTCSessionDescription = _RTCSessionDescription.default;
  global.MediaStream = _MediaStream.default;
  global.MediaStreamTrack = _MediaStreamTrack.default;
  global.RTCRtpTransceiver = _RTCRtpTransceiver.default;
  global.RTCRtpReceiver = _RTCRtpReceiver.default;
  global.RTCRtpSender = _RTCRtpSender.default;
  global.RTCErrorEvent = _RTCErrorEvent.default;
  global.RTCRtpCapabilities = _RTCRtpCapabilities.default;
  global.RTCRtpCodecCapability = _RTCRtpCodecCapability.default;
  global.RTCRtpCodecParameters = _RTCRtpCodecParameters.default;
  global.RTCRtpEncodingParameters = _RTCRtpEncodingParameters.default;
  global.RTCRtpParameters = _RTCRtpParameters.default;
  global.RTCRtpSendParameters = _RTCRtpSendParameters.default;
  global.RTCRtpReceiverParameters = _RTCRtpReceiveParameters.default;
  global.RTCRtcpParameters = _RTCRtcpParameters.default;
  global.RTCRtpHeaderExtension = _RTCRtpHeaderExtension.default;
}
//# sourceMappingURL=index.js.map