import { NativeModules, NativeEventEmitter } from 'react-native';
const {
  WebRTCModule
} = NativeModules;
const EventEmitter = new NativeEventEmitter(WebRTCModule);
export default EventEmitter;

const _subscriptions = new Map();

export function addListener(listener, eventName, eventHandler) {
  var _subscriptions$get;

  if (!_subscriptions.has(listener)) {
    _subscriptions.set(listener, []);
  }

  (_subscriptions$get = _subscriptions.get(listener)) === null || _subscriptions$get === void 0 ? void 0 : _subscriptions$get.push(EventEmitter.addListener(eventName, eventHandler));
}
export function removeListener(listener) {
  var _subscriptions$get2;

  (_subscriptions$get2 = _subscriptions.get(listener)) === null || _subscriptions$get2 === void 0 ? void 0 : _subscriptions$get2.forEach(sub => {
    sub.remove();
  });

  _subscriptions.delete(listener);
}
//# sourceMappingURL=EventEmitter.js.map