import { defineCustomEventTarget } from 'event-target-shim';
import RTCRtpReceiver from './RTCRtpReceiver';
import RTCRtpSender from './RTCRtpSender';
declare const RTCRtpTransceiver_base: defineCustomEventTarget.CustomEventTargetConstructor<Record<string, import("event-target-shim").Event<string>>, "standard">;
export default class RTCRtpTransceiver extends RTCRtpTransceiver_base {
    _peerConnectionId: number;
    _sender: RTCRtpSender;
    _receiver: RTCRtpReceiver;
    _id: string;
    _mid: string | null;
    _direction: string;
    _currentDirection: string;
    _stopped: boolean;
    constructor(args: {
        peerConnectionId: number;
        id: string;
        isStopped: boolean;
        direction: string;
        currentDirection: string;
        mid?: string;
        sender: RTCRtpSender;
        receiver: RTCRtpReceiver;
    });
    get id(): string;
    get mid(): string | null;
    get stopped(): boolean;
    get direction(): string;
    set direction(val: string);
    get currentDirection(): string;
    get sender(): RTCRtpSender;
    get receiver(): RTCRtpReceiver;
    stop(): void;
    _registerEvents(): void;
}
export {};
